Bug 1074651 - Review Request: xcb-util-cursor - Cursor library on top of libxcb
Summary: Review Request: xcb-util-cursor - Cursor library on top of libxcb
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Christopher Meng
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks: 1018583
TreeView+ depends on / blocked
 
Reported: 2014-03-10 18:23 UTC by Thomas Moschny
Modified: 2014-04-03 04:09 UTC (History)
2 users (show)

Fixed In Version: xcb-util-cursor-0.1.1-2.fc19
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2014-04-03 04:08:09 UTC
i: fedora-review+
gwync: fedora-cvs+


Attachments (Terms of Use)

Description Thomas Moschny 2014-03-10 18:23:56 UTC
Spec URL: http://thm.fedorapeople.org/xcb-util-cursor/xcb-util-cursor.spec
SRPM URL: http://thm.fedorapeople.org/xcb-util-cursor/xcb-util-cursor-0.1.1-1.fc20.src.rpm
Description: Cursor library on top of libxcb
XCB util-cursor module provides the following libraries:

  - cursor: port of libxcursor

Fedora Account System Username: thm

Comment 1 Christopher Meng 2014-03-13 05:29:20 UTC
Package Review
==============

Legend:
[x] = Pass, [!] = Fail, [-] = Not applicable, [?] = Not evaluated




===== MUST items =====

C/C++:
[x]: Package does not contain kernel modules.
[x]: Package contains no static executables.
[x]: Header files in -devel subpackage, if present.
[x]: ldconfig called in %post and %postun if required.
[x]: Package does not contain any libtool archives (.la)
[x]: Rpath absent or only used for internal libs.
[x]: Development (unversioned) .so files in -devel subpackage, if present.

Generic:
[x]: Package is licensed with an open-source compatible license and meets
     other legal requirements as defined in the legal section of Packaging
     Guidelines.
[x]: If (and only if) the source package includes the text of the license(s)
     in its own file, then that file, containing the text of the license(s)
     for the package is included in %doc.
[x]: License field in the package spec file matches the actual license.
     Note: Checking patched sources after %prep for licenses. Licenses found:
     "MIT/X11 (BSD like)", "GPL (v2 or later)", "Unknown or generated". 2
     files have unknown license. Detailed output of licensecheck:

GPL (v2 or later)
-----------------
xcb-util-cursor-0.1.1/ltmain.sh

MIT/X11 (BSD like)
------------------
xcb-util-cursor-0.1.1/cursor/cursor.c
xcb-util-cursor-0.1.1/cursor/cursor.h
xcb-util-cursor-0.1.1/cursor/load_cursor.c
xcb-util-cursor-0.1.1/cursor/parse_cursor_file.c
xcb-util-cursor-0.1.1/cursor/xcb_cursor.h

Unknown or generated
--------------------
xcb-util-cursor-0.1.1/autogen.sh
xcb-util-cursor-0.1.1/cursor/shape_to_id.c

[x]: License file installed when any subpackage combination is installed.
[x]: %build honors applicable compiler flags or justifies otherwise.
[x]: Package contains no bundled libraries without FPC exception.
[x]: Changelog in prescribed format.
[x]: Sources contain only permissible code or content.
[-]: Package contains desktop file if it is a GUI application.
[x]: Development files must be in a -devel package
[x]: Package uses nothing in %doc for runtime.
[x]: Package consistently uses macros (instead of hard-coded directory names).
[x]: Package is named according to the Package Naming Guidelines.
[x]: Package does not generate any conflict.
[x]: Package obeys FHS, except libexecdir and /usr/target.
[-]: If the package is a rename of another package, proper Obsoletes and
     Provides are present.
[x]: Requires correct, justified where necessary.
[x]: Spec file is legible and written in American English.
[-]: Package contains systemd file(s) if in need.
[x]: Useful -debuginfo package or justification otherwise.
[x]: Package is not known to require an ExcludeArch tag.
[x]: Large documentation must go in a -doc subpackage. Large could be size
     (~1MB) or number of files.
     Note: Documentation size is 20480 bytes in 2 files.
[x]: Package complies to the Packaging Guidelines
[x]: Package successfully compiles and builds into binary rpms on at least one
     supported primary architecture.
[x]: Package installs properly.
[x]: Rpmlint is run on all rpms the build produces.
     Note: There are rpmlint messages (see attachment).
[x]: Package requires other packages for directories it uses.
[x]: Package must own all directories that it creates.
[x]: Package does not own files or directories owned by other packages.
[x]: All build dependencies are listed in BuildRequires, except for any that
     are listed in the exceptions section of Packaging Guidelines.
[x]: Package uses either %{buildroot} or $RPM_BUILD_ROOT
[x]: Package does not run rm -rf %{buildroot} (or $RPM_BUILD_ROOT) at the
     beginning of %install.
[x]: Macros in Summary, %description expandable at SRPM build time.
[x]: Package does not contain duplicates in %files.
[x]: Permissions on files are set properly.
[x]: Package use %makeinstall only when make install' ' DESTDIR=... doesn't
     work.
[x]: Package is named using only allowed ASCII characters.
[x]: Package do not use a name that already exist
[x]: Package is not relocatable.
[x]: Sources used to build the package match the upstream source, as provided
     in the spec URL.
[x]: Spec file name must match the spec package %{name}, in the format
     %{name}.spec.
[x]: File names are valid UTF-8.
[x]: Packages must not store files under /srv, /opt or /usr/local

===== SHOULD items =====

Generic:
[x]: If the source package does not include license text(s) as a separate file
     from upstream, the packager SHOULD query upstream to include it.
[x]: Final provides and requires are sane (see attachments).
[x]: Package functions as described.
[x]: Latest version is packaged.
[x]: Package does not include license text files separate from upstream.
[x]: Scriptlets must be sane, if used.
[x]: Description and summary sections in the package spec file contains
     translations for supported Non-English languages, if available.
[x]: Package should compile and build into binary rpms on all supported
     architectures.
[x]: %check is present and all tests pass.
[x]: Packages should try to preserve timestamps of original installed files.
[x]: Packager, Vendor, PreReq, Copyright tags should not be in spec file
[x]: Sources can be downloaded from URI in Source: tag
[x]: Reviewer should test that the package builds in mock.
[x]: Buildroot is not present
[x]: Package has no %clean section with rm -rf %{buildroot} (or
     $RPM_BUILD_ROOT)
[x]: Dist tag is present (not strictly required in GL).
[x]: No file requires outside of /etc, /bin, /sbin, /usr/bin, /usr/sbin.
[x]: Fully versioned dependency in subpackages if applicable.
[x]: Uses parallel make %{?_smp_mflags} macro.
[x]: The placement of pkgconfig(.pc) files are correct.
[x]: SourceX is a working URL.
[x]: Spec use %global instead of %define unless justified.

===== EXTRA items =====

Generic:
[x]: Rpmlint is run on all installed packages.
     Note: There are rpmlint messages (see attachment).
[x]: Large data in /usr/share should live in a noarch subpackage if package is
     arched.


Rpmlint
-------
Checking: xcb-util-cursor-0.1.1-1.fc21.i686.rpm
          xcb-util-cursor-devel-0.1.1-1.fc21.i686.rpm
          xcb-util-cursor-0.1.1-1.fc21.src.rpm
xcb-util-cursor.i686: W: spelling-error Summary(en_US) libxcb -> Libby
xcb-util-cursor.i686: W: spelling-error %description -l en_US libxcursor -> cursorily
xcb-util-cursor-devel.i686: W: spelling-error Summary(en_US) cursos -> cursors, curses, curios
xcb-util-cursor.src: W: spelling-error Summary(en_US) libxcb -> Libby
xcb-util-cursor.src: W: spelling-error %description -l en_US libxcursor -> cursorily
3 packages and 0 specfiles checked; 0 errors, 5 warnings.




Rpmlint (installed packages)
----------------------------
# rpmlint xcb-util-cursor xcb-util-cursor-devel
xcb-util-cursor.i686: W: spelling-error Summary(en_US) libxcb -> Libby
xcb-util-cursor.i686: W: spelling-error %description -l en_US libxcursor -> cursorily
xcb-util-cursor.i686: W: unused-direct-shlib-dependency /usr/lib/libxcb-cursor.so.0.0.0 /lib/libxcb-shm.so.0
xcb-util-cursor-devel.i686: W: spelling-error Summary(en_US) cursos -> cursors, curses, curios
2 packages and 0 specfiles checked; 0 errors, 4 warnings.
# echo 'rpmlint-done:'



Requires
--------
xcb-util-cursor (rpmlib, GLIBC filtered):
    /sbin/ldconfig
    libc.so.6
    libxcb-image.so.0
    libxcb-render-util.so.0
    libxcb-render.so.0
    libxcb-shm.so.0
    libxcb.so.1
    rtld(GNU_HASH)

xcb-util-cursor-devel (rpmlib, GLIBC filtered):
    /usr/bin/pkg-config
    libxcb-cursor.so.0
    pkgconfig(xcb)
    pkgconfig(xcb-image)
    pkgconfig(xcb-render)
    pkgconfig(xcb-renderutil)
    xcb-util-cursor(x86-32)



Provides
--------
xcb-util-cursor:
    libxcb-cursor.so.0
    xcb-util-cursor
    xcb-util-cursor(x86-32)

xcb-util-cursor-devel:
    pkgconfig(xcb-cursor)
    xcb-util-cursor-devel
    xcb-util-cursor-devel(x86-32)



Source checksums
----------------
http://xcb.freedesktop.org/dist/xcb-util-cursor-0.1.1.tar.bz2 :
  CHECKSUM(SHA256) this package     : 517a1febcede3bc994e356c4c066e297a12ca219063b7d39047e29c7a8860652
  CHECKSUM(SHA256) upstream package : 517a1febcede3bc994e356c4c066e297a12ca219063b7d39047e29c7a8860652


Generated by fedora-review 0.5.1 (bb9bf27) last change: 2013-12-13
Command line :/usr/bin/fedora-review -rvn xcb-util-cursor-0.1.1-1.fc20.src.rpm
Buildroot used: fedora-rawhide-i386
Active plugins: Generic, Shell-api, C/C++
Disabled plugins: Java, Python, fonts, SugarActivity, Ocaml, Perl, Haskell, R, PHP, Ruby
Disabled flags: EXARCH, EPEL5, BATCH, DISTTAG

--------------------------------
Only 1 issue:

make[1]: Entering directory `/builddir/build/BUILD/xcb-util-cursor-0.1.1/cursor'
  CC     libxcb_cursor_la-cursor.lo
  CC     libxcb_cursor_la-shape_to_id.lo
shape_to_id.gperf:76:1: warning: no previous prototype for 'in_word_set' [-Wmissing-prototypes]
 ul_angle,72
 ^
  CC     libxcb_cursor_la-load_cursor.lo
  CC     libxcb_cursor_la-parse_cursor_file.lo
load_cursor.c: In function 'xcb_cursor_load_cursor':
load_cursor.c:224:5: warning: ISO C90 forbids mixed declarations and code [-Wdeclaration-after-statement]
     xcb_render_animcursorelt_t elements[nimg];
     ^
  CCLD   libxcb-cursor.la

It uses silent build, please pass -disable-silent-rules to %configure. Do it before SCM import. ;)

--------------------------------

PACKAGE APPROVED.

Comment 2 Thomas Moschny 2014-03-16 12:12:56 UTC
Thanks for the review!

New Package SCM Request
=======================
Package Name: xcb-util-cursor
Short Description: Cursor library on top of libxcb
Owners: thm
Branches: f19 f20
InitialCC:

Comment 3 Gwyn Ciesla 2014-03-17 11:52:32 UTC
Git done (by process-git-requests).

Comment 4 Fedora Update System 2014-03-21 20:17:48 UTC
xcb-util-cursor-0.1.1-2.fc20 has been submitted as an update for Fedora 20.
https://admin.fedoraproject.org/updates/xcb-util-cursor-0.1.1-2.fc20

Comment 5 Fedora Update System 2014-03-21 20:17:56 UTC
xcb-util-cursor-0.1.1-2.fc19 has been submitted as an update for Fedora 19.
https://admin.fedoraproject.org/updates/xcb-util-cursor-0.1.1-2.fc19

Comment 6 Fedora Update System 2014-03-23 04:38:12 UTC
xcb-util-cursor-0.1.1-2.fc20 has been pushed to the Fedora 20 testing repository.

Comment 7 Christopher Meng 2014-03-30 03:28:36 UTC
From the koji build log I saw this:

checking for doxygen... no
configure: WARNING: doxygen not found - documentation targets will be skipped

WIll you consider adding BR doxygen and put docs to -devel?

Comment 8 Thomas Moschny 2014-04-01 17:23:24 UTC
As far as I can see, this package does not create any documentation, even when doxygen is present.

Comment 9 Fedora Update System 2014-04-03 04:08:09 UTC
xcb-util-cursor-0.1.1-2.fc20 has been pushed to the Fedora 20 stable repository.

Comment 10 Fedora Update System 2014-04-03 04:09:41 UTC
xcb-util-cursor-0.1.1-2.fc19 has been pushed to the Fedora 19 stable repository.


Note You need to log in before you can comment on or make changes to this bug.